import { Observable, BehaviorSubject } from 'rxjs';
import { InjectionToken, NgZone } from '@angular/core';
import { IConfig } from './interfaces/IConfig';
export declare const NGX_LINKEDIN_CONFIG: InjectionToken<IConfig>;
export declare class NgxLinkedinService {
    private ngZone;
    /**
     * An subject that emits true if library has finished loading.
     */
    sdkInitialized$: BehaviorSubject<boolean>;
    /**
     * reference to linkedIn sdk
     */
    private _sdkIN;
    /**
     * default field list
     */
    private _fields;
    /**
     * default scopes
     */
    private _scope;
    constructor(ngZone: NgZone, config: IConfig);
    signIn<T>(): Observable<T>;
    /**
     * Gets the IN variable from the LinkedIN SDK.
     */
    getSdkIN(): any;
    getProfile<T>(fields?: string[]): Observable<T>;
    isAuthorized(): Observable<boolean>;
    onAuth(): Observable<void>;
    getToken(): string;
    getUserInfo<T>(): Observable<T>;
    raw<T>(url: string): Observable<T>;
    /**
     * emit when sdk script was initialized and completes
     */
    onSdkInitialize(): Observable<any>;
    private _onLinkedInLoad;
    private _authorize;
}
